diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_color_test.py b/media/webrtc/trunk/testing/gtest/test/gtest_color_test.py
index d02a53ed85..40e2e66eee 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_color_test.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_color_test.py
@@ -62,7 +62,7 @@ def UsesColor(term, color_env_var, color_flag):
   if color_flag is None:
     args = []
   else:
-    args = ['--%s=%s' % (COLOR_FLAG, color_flag)]
+    args = ['--{}={}'.format(COLOR_FLAG, color_flag)]
   p = gtest_test_utils.Subprocess([COMMAND] + args)
   return not p.exited or p.exit_code
 
@@ -72,58 +72,58 @@ class GTestColorTest(gtest_test_utils.TestCase):
     """Tests the case when there's neither GTEST_COLOR nor --gtest_color."""
 
     if not IS_WINDOWS:
-      self.assert_(not UsesColor('dumb', None, None))
-      self.assert_(not UsesColor('emacs', None, None))
-      self.assert_(not UsesColor('xterm-mono', None, None))
-      self.assert_(not UsesColor('unknown', None, None))
-      self.assert_(not UsesColor(None, None, None))
-    self.assert_(UsesColor('linux', None, None))
-    self.assert_(UsesColor('cygwin', None, None))
-    self.assert_(UsesColor('xterm', None, None))
-    self.assert_(UsesColor('xterm-color', None, None))
-    self.assert_(UsesColor('xterm-256color', None, None))
+      self.assertTrue(not UsesColor('dumb', None, None))
+      self.assertTrue(not UsesColor('emacs', None, None))
+      self.assertTrue(not UsesColor('xterm-mono', None, None))
+      self.assertTrue(not UsesColor('unknown', None, None))
+      self.assertTrue(not UsesColor(None, None, None))
+    self.assertTrue(UsesColor('linux', None, None))
+    self.assertTrue(UsesColor('cygwin', None, None))
+    self.assertTrue(UsesColor('xterm', None, None))
+    self.assertTrue(UsesColor('xterm-color', None, None))
+    self.assertTrue(UsesColor('xterm-256color', None, None))
 
   def testFlagOnly(self):
     """Tests the case when there's --gtest_color but not GTEST_COLOR."""
 
-    self.assert_(not UsesColor('dumb', None, 'no'))
-    self.assert_(not UsesColor('xterm-color', None, 'no'))
+    self.assertTrue(not UsesColor('dumb', None, 'no'))
+    self.assertTrue(not UsesColor('xterm-color', None, 'no'))
     if not IS_WINDOWS:
-      self.assert_(not UsesColor('emacs', None, 'auto'))
-    self.assert_(UsesColor('xterm', None, 'auto'))
-    self.assert_(UsesColor('dumb', None, 'yes'))
-    self.assert_(UsesColor('xterm', None, 'yes'))
+      self.assertTrue(not UsesColor('emacs', None, 'auto'))
+    self.assertTrue(UsesColor('xterm', None, 'auto'))
+    self.assertTrue(UsesColor('dumb', None, 'yes'))
+    self.assertTrue(UsesColor('xterm', None, 'yes'))
 
   def testEnvVarOnly(self):
     """Tests the case when there's GTEST_COLOR but not --gtest_color."""
 
-    self.assert_(not UsesColor('dumb', 'no', None))
-    self.assert_(not UsesColor('xterm-color', 'no', None))
+    self.assertTrue(not UsesColor('dumb', 'no', None))
+    self.assertTrue(not UsesColor('xterm-color', 'no', None))
     if not IS_WINDOWS:
-      self.assert_(not UsesColor('dumb', 'auto', None))
-    self.assert_(UsesColor('xterm-color', 'auto', None))
-    self.assert_(UsesColor('dumb', 'yes', None))
-    self.assert_(UsesColor('xterm-color', 'yes', None))
+      self.assertTrue(not UsesColor('dumb', 'auto', None))
+    self.assertTrue(UsesColor('xterm-color', 'auto', None))
+    self.assertTrue(UsesColor('dumb', 'yes', None))
+    self.assertTrue(UsesColor('xterm-color', 'yes', None))
 
   def testEnvVarAndFlag(self):
     """Tests the case when there are both GTEST_COLOR and --gtest_color."""
 
-    self.assert_(not UsesColor('xterm-color', 'no', 'no'))
-    self.assert_(UsesColor('dumb', 'no', 'yes'))
-    self.assert_(UsesColor('xterm-color', 'no', 'auto'))
+    self.assertTrue(not UsesColor('xterm-color', 'no', 'no'))
+    self.assertTrue(UsesColor('dumb', 'no', 'yes'))
+    self.assertTrue(UsesColor('xterm-color', 'no', 'auto'))
 
   def testAliasesOfYesAndNo(self):
     """Tests using aliases in specifying --gtest_color."""
 
-    self.assert_(UsesColor('dumb', None, 'true'))
-    self.assert_(UsesColor('dumb', None, 'YES'))
-    self.assert_(UsesColor('dumb', None, 'T'))
-    self.assert_(UsesColor('dumb', None, '1'))
+    self.assertTrue(UsesColor('dumb', None, 'true'))
+    self.assertTrue(UsesColor('dumb', None, 'YES'))
+    self.assertTrue(UsesColor('dumb', None, 'T'))
+    self.assertTrue(UsesColor('dumb', None, '1'))
 
-    self.assert_(not UsesColor('xterm', None, 'f'))
-    self.assert_(not UsesColor('xterm', None, 'false'))
-    self.assert_(not UsesColor('xterm', None, '0'))
-    self.assert_(not UsesColor('xterm', None, 'unknown'))
+    self.assertTrue(not UsesColor('xterm', None, 'f'))
+    self.assertTrue(not UsesColor('xterm', None, 'false'))
+    self.assertTrue(not UsesColor('xterm', None, '0'))
+    self.assertTrue(not UsesColor('xterm', None, 'unknown'))
 
 
 if __name__ == '__main__':
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_env_var_test.py b/media/webrtc/trunk/testing/gtest/test/gtest_env_var_test.py
index 4728bbc316..4e1c77fc2e 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_env_var_test.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_env_var_test.py
@@ -47,8 +47,8 @@ environ = os.environ.copy()
 
 def AssertEq(expected, actual):
   if expected != actual:
-    print 'Expected: %s' % (expected,)
-    print '  Actual: %s' % (actual,)
+    print('Expected: {}'.format(expected))
+    print('  Actual: {}'.format(actual))
     raise AssertionError
 
 
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_filter_unittest.py b/media/webrtc/trunk/testing/gtest/test/gtest_filter_unittest.py
index 0d1a770058..df0165cd84 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_filter_unittest.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_filter_unittest.py
@@ -231,10 +231,10 @@ class GTestFilterUnitTest(gtest_test_utils.TestCase):
     """Asserts that two sets are equal."""
 
     for elem in lhs:
-      self.assert_(elem in rhs, '%s in %s' % (elem, rhs))
+      self.assertTrue(elem in rhs, '{} in {}'.format(elem, rhs))
 
     for elem in rhs:
-      self.assert_(elem in lhs, '%s in %s' % (elem, lhs))
+      self.assertTrue(elem in lhs, '{} in {}'.format(elem, lhs))
 
   def AssertPartitionIsValid(self, set_var, list_of_sets):
     """Asserts that list_of_sets is a valid partition of set_var."""
@@ -279,7 +279,7 @@ class GTestFilterUnitTest(gtest_test_utils.TestCase):
     if gtest_filter is None:
       args = []
     else:
-      args = ['--%s=%s' % (FILTER_FLAG, gtest_filter)]
+      args = ['--{}={}'.format(FILTER_FLAG, gtest_filter)]
 
     tests_run = RunAndExtractTestList(args)[0]
     self.AssertSetEqual(tests_run, tests_to_run)
@@ -338,7 +338,7 @@ class GTestFilterUnitTest(gtest_test_utils.TestCase):
     # Construct the command line.
     args = ['--%s' % ALSO_RUN_DISABED_TESTS_FLAG]
     if gtest_filter is not None:
-      args.append('--%s=%s' % (FILTER_FLAG, gtest_filter))
+      args.append('--{}={}'.format(FILTER_FLAG, gtest_filter))
 
     tests_run = RunAndExtractTestList(args)[0]
     self.AssertSetEqual(tests_run, tests_to_run)
@@ -564,7 +564,7 @@ class GTestFilterUnitTest(gtest_test_utils.TestCase):
     """Tests that the filter flag overrides the filtering env. variable."""
 
     SetEnvVar(FILTER_ENV_VAR, 'Foo*')
-    args = ['--%s=%s' % (FILTER_FLAG, '*One')]
+    args = ['--{}={}'.format(FILTER_FLAG, '*One')]
     tests_run = RunAndExtractTestList(args)[0]
     SetEnvVar(FILTER_ENV_VAR, None)
 
@@ -575,13 +575,13 @@ class GTestFilterUnitTest(gtest_test_utils.TestCase):
 
     shard_status_file = os.path.join(gtest_test_utils.GetTempDir(),
                                      'shard_status_file')
-    self.assert_(not os.path.exists(shard_status_file))
+    self.assertTrue(not os.path.exists(shard_status_file))
 
     extra_env = {SHARD_STATUS_FILE_ENV_VAR: shard_status_file}
     try:
       InvokeWithModifiedEnv(extra_env, RunAndReturnOutput)
     finally:
-      self.assert_(os.path.exists(shard_status_file))
+      self.assertTrue(os.path.exists(shard_status_file))
       os.remove(shard_status_file)
 
   def testShardStatusFileIsCreatedWithListTests(self):
@@ -589,7 +589,7 @@ class GTestFilterUnitTest(gtest_test_utils.TestCase):
 
     shard_status_file = os.path.join(gtest_test_utils.GetTempDir(),
                                      'shard_status_file2')
-    self.assert_(not os.path.exists(shard_status_file))
+    self.assertTrue(not os.path.exists(shard_status_file))
 
     extra_env = {SHARD_STATUS_FILE_ENV_VAR: shard_status_file}
     try:
@@ -599,12 +599,12 @@ class GTestFilterUnitTest(gtest_test_utils.TestCase):
     finally:
       # This assertion ensures that Google Test enumerated the tests as
       # opposed to running them.
-      self.assert_('[==========]' not in output,
+      self.assertTrue('[==========]' not in output,
                    'Unexpected output during test enumeration.\n'
                    'Please ensure that LIST_TESTS_FLAG is assigned the\n'
                    'correct flag value for listing Google Test tests.')
 
-      self.assert_(os.path.exists(shard_status_file))
+      self.assertTrue(os.path.exists(shard_status_file))
       os.remove(shard_status_file)
 
   if SUPPORTS_DEATH_TESTS:
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_help_test.py b/media/webrtc/trunk/testing/gtest/test/gtest_help_test.py
index 093c838d9e..32ff46ca53 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_help_test.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_help_test.py
@@ -109,18 +109,18 @@ class GTestHelpTest(gtest_test_utils.TestCase):
     """
 
     exit_code, output = RunWithFlag(flag)
-    self.assertEquals(0, exit_code)
-    self.assert_(HELP_REGEX.search(output), output)
+    self.assertEqual(0, exit_code)
+    self.assertTrue(HELP_REGEX.search(output), output)
 
     if IS_LINUX:
-      self.assert_(STREAM_RESULT_TO_FLAG in output, output)
+      self.assertTrue(STREAM_RESULT_TO_FLAG in output, output)
     else:
-      self.assert_(STREAM_RESULT_TO_FLAG not in output, output)
+      self.assertTrue(STREAM_RESULT_TO_FLAG not in output, output)
 
     if SUPPORTS_DEATH_TESTS and not IS_WINDOWS:
-      self.assert_(DEATH_TEST_STYLE_FLAG in output, output)
+      self.assertTrue(DEATH_TEST_STYLE_FLAG in output, output)
     else:
-      self.assert_(DEATH_TEST_STYLE_FLAG not in output, output)
+      self.assertTrue(DEATH_TEST_STYLE_FLAG not in output, output)
 
   def TestNonHelpFlag(self, flag):
     """Verifies correct behavior when no help flag is specified.
@@ -133,8 +133,8 @@ class GTestHelpTest(gtest_test_utils.TestCase):
     """
 
     exit_code, output = RunWithFlag(flag)
-    self.assert_(exit_code != 0)
-    self.assert_(not HELP_REGEX.search(output), output)
+    self.assertTrue(exit_code != 0)
+    self.assertTrue(not HELP_REGEX.search(output), output)
 
   def testPrintsHelpWithFullFlag(self):
     self.TestHelpFlag('--help')
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_list_tests_unittest.py b/media/webrtc/trunk/testing/gtest/test/gtest_list_tests_unittest.py
index ce8c3ef05f..1d3ce746ca 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_list_tests_unittest.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_list_tests_unittest.py
@@ -136,9 +136,9 @@ class GTestListTestsUnitTest(gtest_test_utils.TestCase):
            (LIST_TESTS_FLAG, flag_expression, ' '.join(args), output))
 
     if expected_output is not None:
-      self.assert_(output == expected_output, msg)
+      self.assertTrue(output == expected_output, msg)
     else:
-      self.assert_(output != EXPECTED_OUTPUT_NO_FILTER, msg)
+      self.assertTrue(output != EXPECTED_OUTPUT_NO_FILTER, msg)
 
   def testDefaultBehavior(self):
     """Tests the behavior of the default mode."""
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_output_test.py b/media/webrtc/trunk/testing/gtest/test/gtest_output_test.py
index 72b3ae0084..9a684489df 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_output_test.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_output_test.py
@@ -141,7 +141,7 @@ def NormalizeToCurrentPlatform(test_output):
 
   if IS_WINDOWS:
     # Removes the color information that is not present on Windows.
-    test_output = re.sub('\x1b\\[(0;3\d)?m', '', test_output)
+    test_output = re.sub('\x1b\\[(0;3\\d)?m', '', test_output)
     # Changes failure message headers into the Windows format.
     test_output = re.sub(r': Failure\n', r': error: ', test_output)
     # Changes file(line_number) to file:line_number.
@@ -180,7 +180,7 @@ def RemoveMatchingTests(test_output, pattern):
   """
 
   test_output = re.sub(
-      r'.*\[ RUN      \] .*%s(.|\n)*?\[(  FAILED  |       OK )\] .*%s.*\n' % (
+      r'.*\[ RUN      \] .*{}(.|\n)*?\[(  FAILED  |       OK )\] .*{}.*\n'.format(
           pattern, pattern),
       '',
       test_output)
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_shuffle_test.py b/media/webrtc/trunk/testing/gtest/test/gtest_shuffle_test.py
index d3e57809de..e084a335ab 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_shuffle_test.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_shuffle_test.py
@@ -60,11 +60,11 @@ def AlsoRunDisabledTestsFlag():
 
 
 def FilterFlag(test_filter):
-  return '--gtest_filter=%s' % (test_filter,)
+  return '--gtest_filter={}'.format(test_filter)
 
 
 def RepeatFlag(n):
-  return '--gtest_repeat=%s' % (n,)
+  return '--gtest_repeat={}'.format(n)
 
 
 def ShuffleFlag():
@@ -72,7 +72,7 @@ def ShuffleFlag():
 
 
 def RandomSeedFlag(n):
-  return '--gtest_random_seed=%s' % (n,)
+  return '--gtest_random_seed={}'.format(n)
 
 
 def RunAndReturnOutput(extra_env, args):
@@ -180,66 +180,66 @@ class GTestShuffleUnitTest(gtest_test_utils.TestCase):
     self.assertEqual(len(SHARDED_TESTS), len(SHUFFLED_SHARDED_TESTS))
 
   def testShuffleChangesTestOrder(self):
-    self.assert_(SHUFFLED_ALL_TESTS != ALL_TESTS, SHUFFLED_ALL_TESTS)
-    self.assert_(SHUFFLED_ACTIVE_TESTS != ACTIVE_TESTS, SHUFFLED_ACTIVE_TESTS)
-    self.assert_(SHUFFLED_FILTERED_TESTS != FILTERED_TESTS,
+    self.assertTrue(SHUFFLED_ALL_TESTS != ALL_TESTS, SHUFFLED_ALL_TESTS)
+    self.assertTrue(SHUFFLED_ACTIVE_TESTS != ACTIVE_TESTS, SHUFFLED_ACTIVE_TESTS)
+    self.assertTrue(SHUFFLED_FILTERED_TESTS != FILTERED_TESTS,
                  SHUFFLED_FILTERED_TESTS)
-    self.assert_(SHUFFLED_SHARDED_TESTS != SHARDED_TESTS,
+    self.assertTrue(SHUFFLED_SHARDED_TESTS != SHARDED_TESTS,
                  SHUFFLED_SHARDED_TESTS)
 
   def testShuffleChangesTestCaseOrder(self):
-    self.assert_(GetTestCases(SHUFFLED_ALL_TESTS) != GetTestCases(ALL_TESTS),
+    self.assertTrue(GetTestCases(SHUFFLED_ALL_TESTS) != GetTestCases(ALL_TESTS),
                  GetTestCases(SHUFFLED_ALL_TESTS))
-    self.assert_(
+    self.assertTrue(
         GetTestCases(SHUFFLED_ACTIVE_TESTS) != GetTestCases(ACTIVE_TESTS),
         GetTestCases(SHUFFLED_ACTIVE_TESTS))
-    self.assert_(
+    self.assertTrue(
         GetTestCases(SHUFFLED_FILTERED_TESTS) != GetTestCases(FILTERED_TESTS),
         GetTestCases(SHUFFLED_FILTERED_TESTS))
-    self.assert_(
+    self.assertTrue(
         GetTestCases(SHUFFLED_SHARDED_TESTS) != GetTestCases(SHARDED_TESTS),
         GetTestCases(SHUFFLED_SHARDED_TESTS))
 
   def testShuffleDoesNotRepeatTest(self):
     for test in SHUFFLED_ALL_TESTS:
       self.assertEqual(1, SHUFFLED_ALL_TESTS.count(test),
-                       '%s appears more than once' % (test,))
+                       '{} appears more than once'.format(test))
     for test in SHUFFLED_ACTIVE_TESTS:
       self.assertEqual(1, SHUFFLED_ACTIVE_TESTS.count(test),
-                       '%s appears more than once' % (test,))
+                       '{} appears more than once'.format(test))
     for test in SHUFFLED_FILTERED_TESTS:
       self.assertEqual(1, SHUFFLED_FILTERED_TESTS.count(test),
-                       '%s appears more than once' % (test,))
+                       '{} appears more than once'.format(test))
     for test in SHUFFLED_SHARDED_TESTS:
       self.assertEqual(1, SHUFFLED_SHARDED_TESTS.count(test),
-                       '%s appears more than once' % (test,))
+                       '{} appears more than once'.format(test))
 
   def testShuffleDoesNotCreateNewTest(self):
     for test in SHUFFLED_ALL_TESTS:
-      self.assert_(test in ALL_TESTS, '%s is an invalid test' % (test,))
+      self.assertTrue(test in ALL_TESTS, '{} is an invalid test'.format(test))
     for test in SHUFFLED_ACTIVE_TESTS:
-      self.assert_(test in ACTIVE_TESTS, '%s is an invalid test' % (test,))
+      self.assertTrue(test in ACTIVE_TESTS, '{} is an invalid test'.format(test))
     for test in SHUFFLED_FILTERED_TESTS:
-      self.assert_(test in FILTERED_TESTS, '%s is an invalid test' % (test,))
+      self.assertTrue(test in FILTERED_TESTS, '{} is an invalid test'.format(test))
     for test in SHUFFLED_SHARDED_TESTS:
-      self.assert_(test in SHARDED_TESTS, '%s is an invalid test' % (test,))
+      self.assertTrue(test in SHARDED_TESTS, '{} is an invalid test'.format(test))
 
   def testShuffleIncludesAllTests(self):
     for test in ALL_TESTS:
-      self.assert_(test in SHUFFLED_ALL_TESTS, '%s is missing' % (test,))
+      self.assertTrue(test in SHUFFLED_ALL_TESTS, '{} is missing'.format(test))
     for test in ACTIVE_TESTS:
-      self.assert_(test in SHUFFLED_ACTIVE_TESTS, '%s is missing' % (test,))
+      self.assertTrue(test in SHUFFLED_ACTIVE_TESTS, '{} is missing'.format(test))
     for test in FILTERED_TESTS:
-      self.assert_(test in SHUFFLED_FILTERED_TESTS, '%s is missing' % (test,))
+      self.assertTrue(test in SHUFFLED_FILTERED_TESTS, '{} is missing'.format(test))
     for test in SHARDED_TESTS:
-      self.assert_(test in SHUFFLED_SHARDED_TESTS, '%s is missing' % (test,))
+      self.assertTrue(test in SHUFFLED_SHARDED_TESTS, '{} is missing'.format(test))
 
   def testShuffleLeavesDeathTestsAtFront(self):
     non_death_test_found = False
     for test in SHUFFLED_ACTIVE_TESTS:
       if 'DeathTest.' in test:
-        self.assert_(not non_death_test_found,
-                     '%s appears after a non-death test' % (test,))
+        self.assertTrue(not non_death_test_found,
+                     '{} appears after a non-death test'.format(test))
       else:
         non_death_test_found = True
 
@@ -296,11 +296,11 @@ class GTestShuffleUnitTest(gtest_test_utils.TestCase):
         GetTestsForAllIterations(
             {}, [ShuffleFlag(), RandomSeedFlag(1), RepeatFlag(3)]))
 
-    self.assert_(tests_in_iteration1 != tests_in_iteration2,
+    self.assertTrue(tests_in_iteration1 != tests_in_iteration2,
                  tests_in_iteration1)
-    self.assert_(tests_in_iteration1 != tests_in_iteration3,
+    self.assertTrue(tests_in_iteration1 != tests_in_iteration3,
                  tests_in_iteration1)
-    self.assert_(tests_in_iteration2 != tests_in_iteration3,
+    self.assertTrue(tests_in_iteration2 != tests_in_iteration3,
                  tests_in_iteration2)
 
   def testShuffleShardedTestsPreservesPartition(self):
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_test_utils.py b/media/webrtc/trunk/testing/gtest/test/gtest_test_utils.py
index 6dd8db4bf0..39a6031cd5 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_test_utils.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_test_utils.py
@@ -163,7 +163,7 @@ def GetTestExecutablePath(executable_name, build_dir=None):
         'Unable to find the test binary. Please make sure to provide path\n'
         'to the binary via the --build_dir flag or the BUILD_DIR\n'
         'environment variable.')
-    print >> sys.stderr, message
+    print(message, file=sys.stderr)
     sys.exit(1)
 
   return path
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_throw_on_failure_test.py b/media/webrtc/trunk/testing/gtest/test/gtest_throw_on_failure_test.py
index 5678ffeaf6..318e6306c5 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_throw_on_failure_test.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_throw_on_failure_test.py
@@ -70,7 +70,7 @@ def SetEnvVar(env_var, value):
 def Run(command):
   """Runs a command; returns True/False if its exit code is/isn't 0."""
 
-  print 'Running "%s". . .' % ' '.join(command)
+  print('Running "%s". . .' % ' '.join(command))
   p = gtest_test_utils.Subprocess(command)
   return p.exited and p.exit_code == 0
 
@@ -123,7 +123,7 @@ class ThrowOnFailureTest(gtest_test_utils.TestCase):
            'exit code.' %
            (THROW_ON_FAILURE, env_var_value_msg, ' '.join(command),
             should_or_not))
-    self.assert_(failed == should_fail, msg)
+    self.assertTrue(failed == should_fail, msg)
 
   def testDefaultBehavior(self):
     """Tests the behavior of the default mode."""
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_uninitialized_test.py b/media/webrtc/trunk/testing/gtest/test/gtest_uninitialized_test.py
index 6ae57eeeda..9dd807df2a 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_uninitialized_test.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_uninitialized_test.py
@@ -46,8 +46,8 @@ def Assert(condition):
 
 def AssertEq(expected, actual):
   if expected != actual:
-    print 'Expected: %s' % (expected,)
-    print '  Actual: %s' % (actual,)
+    print('Expected: {}'.format(expected))
+    print('  Actual: {}'.format(actual))
     raise AssertionError
 
 
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_xml_outfiles_test.py b/media/webrtc/trunk/testing/gtest/test/gtest_xml_outfiles_test.py
index 524e437e6c..a36c552df2 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_xml_outfiles_test.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_xml_outfiles_test.py
@@ -78,15 +78,15 @@ class GTestXMLOutFilesTest(gtest_xml_test_utils.GTestXMLTestCase):
   def DeleteFilesAndDir(self):
     try:
       os.remove(os.path.join(self.output_dir_, GTEST_OUTPUT_1_TEST + ".xml"))
-    except os.error:
+    except OSError:
       pass
     try:
       os.remove(os.path.join(self.output_dir_, GTEST_OUTPUT_2_TEST + ".xml"))
-    except os.error:
+    except OSError:
       pass
     try:
       os.rmdir(self.output_dir_)
-    except os.error:
+    except OSError:
       pass
 
   def testOutfile1(self):
@@ -100,8 +100,8 @@ class GTestXMLOutFilesTest(gtest_xml_test_utils.GTestXMLTestCase):
     command = [gtest_prog_path, "--gtest_output=xml:%s" % self.output_dir_]
     p = gtest_test_utils.Subprocess(command,
                                     working_dir=gtest_test_utils.GetTempDir())
-    self.assert_(p.exited)
-    self.assertEquals(0, p.exit_code)
+    self.assertTrue(p.exited)
+    self.assertEqual(0, p.exit_code)
 
     # TODO(wan@google.com): libtool causes the built test binary to be
     #   named lt-gtest_xml_outfiles_test_ instead of
@@ -112,7 +112,7 @@ class GTestXMLOutFilesTest(gtest_xml_test_utils.GTestXMLTestCase):
     output_file1 = os.path.join(self.output_dir_, output_file_name1)
     output_file_name2 = 'lt-' + output_file_name1
     output_file2 = os.path.join(self.output_dir_, output_file_name2)
-    self.assert_(os.path.isfile(output_file1) or os.path.isfile(output_file2),
+    self.assertTrue(os.path.isfile(output_file1) or os.path.isfile(output_file2),
                  output_file1)
 
     expected = minidom.parseString(expected_xml)
diff --git a/media/webrtc/trunk/testing/gtest/test/gtest_xml_output_unittest.py b/media/webrtc/trunk/testing/gtest/test/gtest_xml_output_unittest.py
index 8cdfb56b68..8dcce1cffa 100755
--- a/media/webrtc/trunk/testing/gtest/test/gtest_xml_output_unittest.py
+++ b/media/webrtc/trunk/testing/gtest/test/gtest_xml_output_unittest.py
@@ -65,7 +65,7 @@ EXPECTED_NON_EMPTY_XML = """<?xml version="1.0" encoding="UTF-8"?>
     <testcase name="Fails" status="run" time="*" classname="FailedTest">
       <failure message="gtest_xml_output_unittest_.cc:*&#x0A;Value of: 2&#x0A;Expected: 1" type=""><![CDATA[gtest_xml_output_unittest_.cc:*
 Value of: 2
-Expected: 1%(stack)s]]></failure>
+Expected: 1{stack}]]></failure>
     </testcase>
   </testsuite>
   <testsuite name="MixedResultTest" tests="3" failures="1" disabled="1" errors="0" time="*">
@@ -73,10 +73,10 @@ Expected: 1%(stack)s]]></failure>
     <testcase name="Fails" status="run" time="*" classname="MixedResultTest">
       <failure message="gtest_xml_output_unittest_.cc:*&#x0A;Value of: 2&#x0A;Expected: 1" type=""><![CDATA[gtest_xml_output_unittest_.cc:*
 Value of: 2
-Expected: 1%(stack)s]]></failure>
+Expected: 1{stack}]]></failure>
       <failure message="gtest_xml_output_unittest_.cc:*&#x0A;Value of: 3&#x0A;Expected: 2" type=""><![CDATA[gtest_xml_output_unittest_.cc:*
 Value of: 3
-Expected: 2%(stack)s]]></failure>
+Expected: 2{stack}]]></failure>
     </testcase>
     <testcase name="DISABLED_test" status="notrun" time="*" classname="MixedResultTest"/>
   </testsuite>
@@ -84,14 +84,14 @@ Expected: 2%(stack)s]]></failure>
     <testcase name="OutputsCData" status="run" time="*" classname="XmlQuotingTest">
       <failure message="gtest_xml_output_unittest_.cc:*&#x0A;Failed&#x0A;XML output: &lt;?xml encoding=&quot;utf-8&quot;&gt;&lt;top&gt;&lt;![CDATA[cdata text]]&gt;&lt;/top&gt;" type=""><![CDATA[gtest_xml_output_unittest_.cc:*
 Failed
-XML output: <?xml encoding="utf-8"><top><![CDATA[cdata text]]>]]&gt;<![CDATA[</top>%(stack)s]]></failure>
+XML output: <?xml encoding="utf-8"><top><![CDATA[cdata text]]>]]&gt;<![CDATA[</top>{stack}]]></failure>
     </testcase>
   </testsuite>
   <testsuite name="InvalidCharactersTest" tests="1" failures="1" disabled="0" errors="0" time="*">
     <testcase name="InvalidCharactersInMessage" status="run" time="*" classname="InvalidCharactersTest">
       <failure message="gtest_xml_output_unittest_.cc:*&#x0A;Failed&#x0A;Invalid characters in brackets []" type=""><![CDATA[gtest_xml_output_unittest_.cc:*
 Failed
-Invalid characters in brackets []%(stack)s]]></failure>
+Invalid characters in brackets []{stack}]]></failure>
     </testcase>
   </testsuite>
   <testsuite name="DisabledTest" tests="1" failures="0" disabled="1" errors="0" time="*">
@@ -126,7 +126,7 @@ Invalid characters in brackets []%(stack)s]]></failure>
   <testsuite name="Single/TypeParameterizedTestCase/1" tests="1" failures="0" disabled="0" errors="0" time="*">
     <testcase name="HasTypeParamAttribute" type_param="*" status="run" time="*" classname="Single/TypeParameterizedTestCase/1" />
   </testsuite>
-</testsuites>""" % {'stack': STACK_TRACE_TEMPLATE}
+</testsuites>""".format(stack=STACK_TRACE_TEMPLATE)
 
 
 EXPECTED_EMPTY_XML = """<?xml version="1.0" encoding="UTF-8"?>
@@ -199,16 +199,16 @@ class GTestXMLOutputUnitTest(gtest_xml_test_utils.GTestXMLTestCase):
         'gtest_no_test_unittest')
     try:
       os.remove(output_file)
-    except OSError, e:
+    except OSError as e:
       if e.errno != errno.ENOENT:
         raise
 
     p = gtest_test_utils.Subprocess(
         [gtest_prog_path, '%s=xml' % GTEST_OUTPUT_FLAG],
         working_dir=gtest_test_utils.GetTempDir())
-    self.assert_(p.exited)
-    self.assertEquals(0, p.exit_code)
-    self.assert_(os.path.isfile(output_file))
+    self.assertTrue(p.exited)
+    self.assertEqual(0, p.exit_code)
+    self.assertTrue(os.path.isfile(output_file))
 
   def testSuppressedXmlOutput(self):
     """
@@ -222,7 +222,7 @@ class GTestXMLOutputUnitTest(gtest_xml_test_utils.GTestXMLTestCase):
       os.remove(xml_path)
 
     command = [GTEST_PROGRAM_PATH,
-               '%s=xml:%s' % (GTEST_OUTPUT_FLAG, xml_path),
+               '{}=xml:{}'.format(GTEST_OUTPUT_FLAG, xml_path),
                '--shut_down_xml']
     p = gtest_test_utils.Subprocess(command)
     if p.terminated_by_signal:
@@ -231,13 +231,13 @@ class GTestXMLOutputUnitTest(gtest_xml_test_utils.GTestXMLTestCase):
           p.terminated_by_signal,
           '%s was killed by signal %d' % (GTEST_PROGRAM_NAME, p.signal))
     else:
-      self.assert_(p.exited)
-      self.assertEquals(1, p.exit_code,
+      self.assertTrue(p.exited)
+      self.assertEqual(1, p.exit_code,
                         "'%s' exited with code %s, which doesn't match "
                         'the expected exit code %s.'
                         % (command, p.exit_code, 1))
 
-    self.assert_(not os.path.isfile(xml_path))
+    self.assertTrue(not os.path.isfile(xml_path))
 
   def _GetXmlOutput(self, gtest_prog_name, expected_exit_code):
     """
@@ -248,14 +248,14 @@ class GTestXMLOutputUnitTest(gtest_xml_test_utils.GTestXMLTestCase):
                             gtest_prog_name + 'out.xml')
     gtest_prog_path = gtest_test_utils.GetTestExecutablePath(gtest_prog_name)
 
-    command = [gtest_prog_path, '%s=xml:%s' % (GTEST_OUTPUT_FLAG, xml_path)]
+    command = [gtest_prog_path, '{}=xml:{}'.format(GTEST_OUTPUT_FLAG, xml_path)]
     p = gtest_test_utils.Subprocess(command)
     if p.terminated_by_signal:
-      self.assert_(False,
+      self.assertTrue(False,
                    '%s was killed by signal %d' % (gtest_prog_name, p.signal))
     else:
-      self.assert_(p.exited)
-      self.assertEquals(expected_exit_code, p.exit_code,
+      self.assertTrue(p.exited)
+      self.assertEqual(expected_exit_code, p.exit_code,
                         "'%s' exited with code %s, which doesn't match "
                         'the expected exit code %s.'
                         % (command, p.exit_code, expected_exit_code))
